<?php
class ModelExtensionTotalSubTotal extends Model {
	public function getTotal($total, $listproduct = false) {

        $this->load->language('extension/total/sub_total');

		if (!isset($listproduct[0])){
		}elseif (!isset($listproduct[0]['total_raw'])){
			echo 'Почини меня!, нет total_raw';
			debug_print_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS);
		}elseif(strripos($listproduct[0]['total_raw'],'н')){
			echo 'Почини меня! форматированная строка!';
			debug_print_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS);
		}
		
		if($listproduct === false){
		    echo 'Почини меня!!!!';
            die();


        }else{
            $title='';
            $sort ='';
            $sub_total = 0;

            foreach($listproduct as $product){
                if (in_array($product['product_id'],array_merge($this->config->get('config_payment'),$this->config->get('config_payment_auto')))){
                    if(!$product['status']){

                        //4
                    }else{

                        //3
                    }
                }else{
                    if($product['status']){
                        //1


                        $sub_total += $product['total_raw'];

                    }elseif($product['booking_date']>=date('Y-m-d')){

                       //2
                    }else{

                        // 4
                    }

                }
            }
        }

        if($sub_total!=0){
            $total['totals'][] = array(
                'code'       => 'sub_total',
                'title'      => $this->language->get('text_sub_total'),
                'value'      => $sub_total,
                'sort_order' => $this->config->get('sub_total_sort_order')
            );

            $total['total'] += $sub_total;
        }
	}
}
// 1 выполненные
// 2 которые могут быть выполнены
// 3 оплата
// 4 мусор
